---
- name: Wait for any possibly running unattended upgrade to finish
  raw: systemd-run --property="After=apt-daily.service apt-daily-upgrade.service" --wait /bin/true
  changed_when: false

- name: Install nginx
  apt:
    name: nginx
    state: present

- name: Create screenshot directory
  file:
    state: directory
    name: "{{ interactive_user.home }}/shots"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"
    mode: "0755"

- name: Create screenshot service
  template:
    src: templates/screenshot.service.j2
    dest: "{{ interactive_user.home }}/.config/systemd/user/screenshot.service"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"

- name: Create screenshot script
  template:
    src: templates/screenshot.sh.j2
    dest: "/usr/local/bin/screenshot.sh"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"
    mode: "0755"

- name: Create clean shots service
  template:
    src: templates/cleanshots.service.j2
    dest: "{{ interactive_user.home }}/.config/systemd/user/cleanshots.service"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"

- name: Start webserver serving shots
  template:
    src: templates/nginx.conf.j2
    dest: "/etc/nginx/sites-available/default"
  notify: restart_nginx
